Go to the first, previous, next, last section, table of contents.

### `dp_ptod`

`dp_ptod(poly,vlist)`
  :: Converts an ordinary polynomial into a distributed polynomial.

return
  distributed polynomial
poly
  polynomial
vlist
  list

- According to the variable ordering vlist and current type of term ordering, this function converts an ordinary polynomial into a distributed polynomial.
- Indeterminates not included in vlist are regarded to belong to the coefficient field.

    [50] dp_ord(0);
    1
    [51] dp_ptod((x+y+z)^2,[x,y,z]);
    (1)*<<2,0,0>>+(2)*<<1,1,0>>+(1)*<<0,2,0>>+(2)*<<1,0,1>>+(2)*<<0,1,1>>
    +(1)*<<0,0,2>>
    [52] dp_ptod((x+y+z)^2,[x,y]);
    (1)*<<2,0>>+(2)*<<1,1>>+(1)*<<0,2>>+(2*z)*<<1,0>>+(2*z)*<<0,1>>
    +(z^2)*<<0,0>>

`References`
  section `dp_dtop`, section `dp_ord`.

Go to the first, previous, next, last section, table of contents.